NX Open C++ Reference Guide
|
Represents a @link Features::VehicleDesign::ReflectionData Features::VehicleDesign::ReflectionData@endlink builder <br> To create a new instance of this class, use @link Features::VehicleDesignCollection::CreateReflectionDataBuilder Features::VehicleDesignCollection::CreateReflectionDataBuilder @endlink <br>
Default values. More...
Public Types | |
enum | ResolutionType { ResolutionTypeLow, ResolutionTypeMedium, ResolutionTypeHigh, ResolutionTypeCustomized } |
the resolution type More... | |
Public Member Functions | |
NXOpen::Point * | EyePoint () |
Returns the eye point Created in NX6.0.0. | |
bool | IsReflectData () |
Returns whether to create reflection data as output or not Created in NX6.0.0. | |
bool | IsReflectTraceCurve () |
Returns whether to create reflection trace curves as output or not Created in NX6.0.0. | |
bool | IsRefractData () |
Returns whether to create refraction data as output or not Created in NX6.0.0. | |
bool | IsRefractTraceCurve () |
Returns whether to create refraction trace curves as output or not Created in NX6.0.0. | |
int | ReflectAccuracy () |
Returns the customized reflection accuracy, which is the number of dispersed points for the input target objects Created in NX6.0.0. | |
NXOpen::ScCollector * | ReflectionObject () |
Returns the reflection object to reflect the input target objects Created in NX6.0.0. | |
double | RefractionIndex () |
Returns the refraction index Created in NX6.0.0. | |
NXOpen::Features::VehicleDesign::ReflectionDataBuilder::ResolutionType | Resolution () |
Returns the resolution type Created in NX6.0.0. | |
bool | ReverseDir () |
Returns whether the direction of reflection objects is reversed to determine their thickness Created in NX6.0.0. | |
void | SetEyePoint (NXOpen::Point *eyePoint) |
Sets the eye point Created in NX6.0.0. | |
void | SetReflectAccuracy (int reflectAccuracy) |
Sets the customized reflection accuracy, which is the number of dispersed points for the input target objects Created in NX6.0.0. | |
void | SetReflectData (bool isReflectData) |
Sets whether to create reflection data as output or not Created in NX6.0.0. | |
void | SetReflectTraceCurve (bool isReflectTraceCurve) |
Sets whether to create reflection trace curves as output or not Created in NX6.0.0. | |
void | SetRefractData (bool isRefractData) |
Sets whether to create refraction data as output or not Created in NX6.0.0. | |
void | SetRefractionIndex (double refractionIndex) |
Sets the refraction index Created in NX6.0.0. | |
void | SetRefractTraceCurve (bool isRefractTraceCurve) |
Sets whether to create refraction trace curves as output or not Created in NX6.0.0. | |
void | SetResolution (NXOpen::Features::VehicleDesign::ReflectionDataBuilder::ResolutionType resolution) |
Sets the resolution type Created in NX6.0.0. | |
void | SetReverseDir (bool reverseDir) |
Sets whether the direction of reflection objects is reversed to determine their thickness Created in NX6.0.0. | |
void | SetThickness (double thickness) |
Sets the thickness of the reflection objects Created in NX6.0.0. | |
NXOpen::Section * | TargetObject () |
Returns the target object to be reflected on the faces and/or planes the target object Created in NX6.0.0. | |
double | Thickness () |
Returns the thickness of the reflection objects Created in NX6.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::VehicleDesign::ReflectionData Features::VehicleDesign::ReflectionData@endlink builder <br> To create a new instance of this class, use @link Features::VehicleDesignCollection::CreateReflectionDataBuilder Features::VehicleDesignCollection::CreateReflectionDataBuilder @endlink <br>
Default values.
Property | Value |
---|---|
IsReflectData |
1 |
IsReflectTraceCurve |
0 |
IsRefractData |
0 |
IsRefractTraceCurve |
0 |
ReflectAccuracy |
20 |
RefractionIndex |
1.5 |
Resolution |
Medium |
Thickness |
5 |
Created in NX6.0.0.
NXOpen::Point* NXOpen::Features::VehicleDesign::ReflectionDataBuilder::EyePoint | ( | ) |
Returns the eye point
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::ReflectionDataBuilder::IsReflectData | ( | ) |
Returns whether to create reflection data as output or not
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::ReflectionDataBuilder::IsReflectTraceCurve | ( | ) |
Returns whether to create reflection trace curves as output or not
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::ReflectionDataBuilder::IsRefractData | ( | ) |
Returns whether to create refraction data as output or not
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::ReflectionDataBuilder::IsRefractTraceCurve | ( | ) |
Returns whether to create refraction trace curves as output or not
Created in NX6.0.0.
License requirements : None
int NXOpen::Features::VehicleDesign::ReflectionDataBuilder::ReflectAccuracy | ( | ) |
Returns the customized reflection accuracy, which is the number of dispersed points for the input target objects
Created in NX6.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::VehicleDesign::ReflectionDataBuilder::ReflectionObject | ( | ) |
Returns the reflection object to reflect the input target objects
Created in NX6.0.0.
License requirements : None
double NXOpen::Features::VehicleDesign::ReflectionDataBuilder::RefractionIndex | ( | ) |
Returns the refraction index
Created in NX6.0.0.
License requirements : None
NXOpen::Features::VehicleDesign::ReflectionDataBuilder::ResolutionType NXOpen::Features::VehicleDesign::ReflectionDataBuilder::Resolution | ( | ) |
Returns the resolution type
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::ReflectionDataBuilder::ReverseDir | ( | ) |
Returns whether the direction of reflection objects is reversed to determine their thickness
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::VehicleDesign::ReflectionDataBuilder::SetEyePoint | ( | NXOpen::Point * | eyePoint | ) |
Sets the eye point
Created in NX6.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
eyePoint | eyepoint |
void NXOpen::Features::VehicleDesign::ReflectionDataBuilder::SetReflectAccuracy | ( | int | reflectAccuracy | ) |
Sets the customized reflection accuracy, which is the number of dispersed points for the input target objects
Created in NX6.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
reflectAccuracy | reflectaccuracy |
void NXOpen::Features::VehicleDesign::ReflectionDataBuilder::SetReflectData | ( | bool | isReflectData | ) |
Sets whether to create reflection data as output or not
Created in NX6.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
isReflectData | isreflectdata |
void NXOpen::Features::VehicleDesign::ReflectionDataBuilder::SetReflectTraceCurve | ( | bool | isReflectTraceCurve | ) |
Sets whether to create reflection trace curves as output or not
Created in NX6.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
isReflectTraceCurve | isreflecttracecurve |
void NXOpen::Features::VehicleDesign::ReflectionDataBuilder::SetRefractData | ( | bool | isRefractData | ) |
Sets whether to create refraction data as output or not
Created in NX6.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
isRefractData | isrefractdata |
void NXOpen::Features::VehicleDesign::ReflectionDataBuilder::SetRefractionIndex | ( | double | refractionIndex | ) |
Sets the refraction index
Created in NX6.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
refractionIndex | refractionindex |
void NXOpen::Features::VehicleDesign::ReflectionDataBuilder::SetRefractTraceCurve | ( | bool | isRefractTraceCurve | ) |
Sets whether to create refraction trace curves as output or not
Created in NX6.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
isRefractTraceCurve | isrefracttracecurve |
void NXOpen::Features::VehicleDesign::ReflectionDataBuilder::SetResolution | ( | NXOpen::Features::VehicleDesign::ReflectionDataBuilder::ResolutionType | resolution | ) |
Sets the resolution type
Created in NX6.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
resolution | resolution |
void NXOpen::Features::VehicleDesign::ReflectionDataBuilder::SetReverseDir | ( | bool | reverseDir | ) |
Sets whether the direction of reflection objects is reversed to determine their thickness
Created in NX6.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
reverseDir | reversedir |
void NXOpen::Features::VehicleDesign::ReflectionDataBuilder::SetThickness | ( | double | thickness | ) |
Sets the thickness of the reflection objects
Created in NX6.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
thickness | thickness |
NXOpen::Section* NXOpen::Features::VehicleDesign::ReflectionDataBuilder::TargetObject | ( | ) |
Returns the target object to be reflected on the faces and/or planes the target object
Created in NX6.0.0.
License requirements : None
double NXOpen::Features::VehicleDesign::ReflectionDataBuilder::Thickness | ( | ) |
Returns the thickness of the reflection objects
Created in NX6.0.0.
License requirements : None